# OpalRFC4175Decoder Class Reference

`#include <rfc4175.h>`

Inheritance diagram for OpalRFC4175Decoder:

List of all members.

## Public Member Functions

| OpalRFC4175Decoder (const OpalMediaFormat &inputMediaFormat, const OpalMediaFormat &outputMediaFormat)
| ~OpalRFC4175Decoder ()
virtual PINDEX | PixelsToBytes (PINDEX pixels) const =0
virtual PINDEX | BytesToPixels (PINDEX pixels) const =0
PBoolean | ConvertFrames (const RTP_DataFrame &input, RTP_DataFrameList &output)

## Protected Member Functions

PBoolean | Initialise ()
virtual PBoolean | DecodeFrames (RTP_DataFrameList &output)=0

## Protected Attributes

RTP_DataFrameList | inputFrames
std::vector< PINDEX > | scanlineCounts
PINDEX | frameWidth
PINDEX | frameHeight
PBoolean | first
DWORD | lastSequenceNumber
DWORD | lastTimeStamp

## Constructor & Destructor Documentation

OpalRFC4175Decoder::OpalRFC4175Decoder | ( | const OpalMediaFormat & | inputMediaFormat,
|  | const OpalMediaFormat & | outputMediaFormat |
| ) |  |  |

Parameters:

  inputMediaFormat | Input media format
  outputMediaFormat | Output media format

OpalRFC4175Decoder::~OpalRFC4175Decoder | ( |  | ) |

## Member Function Documentation

virtual PINDEX OpalRFC4175Decoder::PixelsToBytes | ( | PINDEX | pixels | ) | const`[pure virtual]`

Implements OpalRFC4175Transcoder.

Implemented in Opal_RFC4175YCbCr420_to_YUV420P, and Opal_RFC4175RGB_to_RGB24.

virtual PINDEX OpalRFC4175Decoder::BytesToPixels | ( | PINDEX | pixels | ) | const`[pure virtual]`

Implemented in Opal_RFC4175YCbCr420_to_YUV420P, and Opal_RFC4175RGB_to_RGB24.

PBoolean OpalRFC4175Decoder::ConvertFrames | ( | const RTP_DataFrame & | input,
|  | RTP_DataFrameList & | output |
| ) |  |  |

PBoolean OpalRFC4175Decoder::Initialise | ( |  | ) | `[protected]`

virtual PBoolean OpalRFC4175Decoder::DecodeFrames | ( | RTP_DataFrameList & | output | ) | `[protected, pure virtual]`

Implemented in Opal_RFC4175YCbCr420_to_YUV420P, and Opal_RFC4175RGB_to_RGB24.

## Member Data Documentation

RTP_DataFrameList OpalRFC4175Decoder::inputFrames `[protected]`

std::vector<PINDEX> OpalRFC4175Decoder::scanlineCounts `[protected]`

PINDEX OpalRFC4175Decoder::frameWidth `[protected]`

PINDEX OpalRFC4175Decoder::frameHeight `[protected]`

PBoolean OpalRFC4175Decoder::first `[protected]`

DWORD OpalRFC4175Decoder::lastSequenceNumber `[protected]`

DWORD OpalRFC4175Decoder::lastTimeStamp `[protected]`

The documentation for this class was generated from the following file:

- rfc4175.h